#ifndef USER_INPUT_H
#define USER_INPUT_H

// These can be used by both keyboard and mouse.
enum {
	BUTTON_NONE = 0,
	BUTTON_CLICKED = 1,
	BUTTON_DOWN = 2,
	BUTTON_RELEASED = 4
};

// Mouse only
inline void ClearReleasedMouseButtons (void);
inline void SetButtonState (byte button, byte state);
inline byte GetButtonState (byte button);
